<%@ Page CodeFileBaseClass="AliCMS.Lib.SystemPageBase" %>
<%@ Register TagPrefix="alicmsUC" TagName="Ime" Src="../../ime.dwt.ascx"%>
<%@ Register TagPrefix="alicmsUC" TagName="LanguageMenu" Src="../../language_menu.dwt.ascx"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<!-- TemplateInfo codeOutsideHTMLIsLocked="true" -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>商品列表</title>
<link rel="stylesheet" type="text/css" href="<%=CommonPath%>jquery/themes/lightness/all.css" />
<ali:Comment><link rel="stylesheet" type="text/css" href="../../S01/CHS/css/common.css" /></ali:Comment>
<link rel="stylesheet" href="<%=CssPath%>common.css" />
<alicmsUC:Ime Ime="true" Eot="true" runat="server" />
<script language="c#" runat="server">
protected string Condition()
{
	StringBuilder condition = new StringBuilder();
	string and = String.Empty;

	#region 是否回收
	string isRecycled = Request.QueryString["IsRecycled"];
	if (isRecycled == null)
		condition.Append(Alias.Goods.IsDeleted + "=false");
	else if (isRecycled != String.Empty)
		condition.Append(Alias.Goods.IsDeleted + "=" + isRecycled);
	#endregion

	if (and == String.Empty && condition.Length != 0)
		and = " AND ";

	#region 是否发布
	string isReleased = Request.QueryString["IsReleased"];
	if (isReleased == null)
		condition.Append(and + Alias.Goods.IsReleased + "=true");
	else if (isReleased != String.Empty)
		condition.Append(and + Alias.Goods.IsReleased + "=" + isReleased);
	#endregion

	if (and == String.Empty && condition.Length != 0)
		and = " AND ";

	#region 是否推荐
	string isRecommended = Request.QueryString["IsRecommended"];
	if (!String.IsNullOrEmpty(isRecommended))
		condition.Append(and + Alias.Goods.IsRecommended + "=" + isRecommended);
	#endregion

	if (and == String.Empty && condition.Length != 0)
		and = " AND ";

	#region 是否置顶
	string isHeld = Request.QueryString["IsHeld"];
	if (!String.IsNullOrEmpty(isHeld))
		condition.Append(and + Alias.Goods.IsHeld + "=" + isHeld);
	#endregion

	if (and == String.Empty && condition.Length != 0)
		and = " AND ";

	#region 类别
	string categoryID = Request.QueryString["CategoryID"];
	if (!String.IsNullOrEmpty(categoryID))
	{
		if (Convert.ToBoolean(Request.QueryString["IncludeSubCategory"]))
		{
			condition.Append(and + Alias.Goods.IncludeSubCategory + "=" + categoryID);
		}
		else
		{
			if (categoryID == "0")
				condition.Append(and + Alias.Goods.CategoryID + " IS NULL");
			else
				condition.Append(and + Alias.Goods.CategoryID + "=" + categoryID);
		}
	}
	#endregion

	if (and == String.Empty && condition.Length != 0)
		and = " AND ";

	#region 关键词
	string keyword = Request.QueryString["Keyword"];
	if (!String.IsNullOrEmpty(keyword))
	{
		if (Request.QueryString["KeywordType"] == "Name")
			condition.Append(and + Alias.Goods.Name + " LIKE '%" + keyword + "%'");
		else if (Request.QueryString["KeywordType"] == "No")
			condition.Append(and + "(" + Alias.Goods.No + " LIKE '%" + keyword + "%' OR " + Alias.Goods.Spec + " LIKE '%" + keyword + "%')");
		else if (Request.QueryString["KeywordType"] == "BarCode")
			condition.Append(and + "(" + Alias.Goods.BarCode + " LIKE '%" + keyword + "%' OR " + Alias.Goods.Spec + " LIKE '%" + keyword + "%')");
	}
	#endregion
	
	return condition.ToString();
}

protected string Sort()
{
	string sort = String.Empty;
	switch (Request.QueryString["Sort"])
	{
		case "1":
			sort = Alias.Goods.UpdateTime + " DESC";
			break;
		case "2":
			sort = Alias.Goods.UpdateTime + " ASC";
			break;
		case "3":
			sort = Alias.Goods.HitCount + " DESC";
			break;
		case "4":
			sort = Alias.Goods.HitCount + " ASC";
			break;
		case "5":
			sort = Alias.Goods.Recommend + " DESC";
			break;
		case "6":
			sort = Alias.Goods.Recommend + " ASC";
			break;
		case "7":
			sort = Alias.Goods.Hold + " DESC";
			break;
		case "8":
			sort = Alias.Goods.Hold + " ASC";
			break;
		case "9":
			sort = Alias.Goods.InnerID + " DESC";
			break;
		case "10":
			sort = Alias.Goods.InnerID + " ASC";
			break;
		case "11":
			sort = Alias.Goods.Up + " DESC";
			break;
		case "12":
			sort = Alias.Goods.Up + " ASC";
			break;
		case "13":
			sort = Alias.Goods.Down + " DESC";
			break;
		case "14":
			sort = Alias.Goods.Down + " ASC";
			break;
		default:
			sort = Alias.Goods.UpdateTime + " DESC";
			break;
	}
	
	return sort;
}

protected bool Move
{
	get
	{
		if (Request.QueryString["Sort"] == "5" || Request.QueryString["Sort"] == "6")
			return Request.QueryString["IsRecommended"] == "true";
		else if (Request.QueryString["Sort"] == "7" || Request.QueryString["Sort"] == "8")
			return Request.QueryString["IsHeld"] == "true";
		else
			return false;
	}
}

protected bool ListByPicture
{
	get
	{
		if (Request.QueryString["ListByPicture"] != null)
			return Convert.ToBoolean(Request.QueryString["ListByPicture"]);
		else if (Request.Cookies["ListByPicture"] != null)
			return Convert.ToBoolean(Request.Cookies["ListByPicture"].Value);
		else
			return false;
	}
}
</script>
<script type="text/javascript">
var _page = 'goods_list',
	_lang = '<%=ContentLang%>',
	_webPath = '<%=WebPath%>',
	_imagePath = '<%=ImagePath%>',
	_lang_working = '正在操作...',
	_lang_operation_fail = '操作失败！',
	_lang_operation_success = '操作成功！',
	_lang_confirm_delete = '要删除此项吗？',
	_lang_recycle = '回收',
	_lang_delete = '删除',
	_lang_recover = '还原',
	_lang_recommend = '推荐',
	_lang_unrecommend = '取消推荐',
	_lang_hold = '置顶',
	_lang_unhold = '取消置顶',
	_lang_release = '上架',
	_lang_unrelease = '下架',
	_lang_selection_empty = '没有选择任何对象！';
</script>
</head>
<body>
<div class="WhiteHeader">
	<div class="Left"><img src="<%=ImagePath%>close_frame.gif" /></div>
	<div class="Title">商品列表</div>
	<div class="Right">
		<alicmsUC:LanguageMenu runat="server" />
		<img height="15" src="<%=ImagePath%>dropdown.gif" /> 语言：<%=CurrentLanguage%>
	</div>
</div>
<div class="Block">
	<ul class="TabMenu">
		<li class="Left Selected"></li>
		<li class="Middle Selected">商品列表</li>
		<li class="Right Selected"></li>
		<li class="Left"></li>
		<li class="Middle"><a href="../goods/add.aspx?Lang=<%=ContentLang%>">添加商品</a></li>
		<li class="Right"></li>
		<li class="Left"></li>
		<li class="Middle"><a href="../goods/replace.aspx?Lang=<%=ContentLang%>">批量替换</a></li>
		<li class="Right"></li>
	</ul>
	<ul class="Title">
		<li class="Left"></li>
		<li class="Middle"></li>
		<li class="Right"></li>
	</ul>
	<div class="ToolBar">
		<select id="IsRecycled">
			<option value="">是否回收</option>
			<option value="false" selected="selected">未回收</option>
			<option value="true">已回收</option>
		</select>
		<select id="IsReleased">
			<option value="">是否发布</option>
			<option value="false">未发布</option>
			<option value="true" selected="selected">已发布</option>
		</select>
		<select id="IsHeld">
			<option value="">是否置顶</option>
			<option value="false">未置顶</option>
			<option value="true">已置顶</option>
		</select>
		<select id="IsRecommended">
			<option value="">是否推荐</option>
			<option value="false">未推荐</option>
			<option value="true">已推荐</option>
		</select>
		<select id="CategoryID" class="<%=ContentLang%>Font">
			<option value="">所有类别</option>
			<option value="0">未指定类别</option>
			<ali:Tree Object="GoodsCategory">
				<ali:Control>
					<ali:Space>&nbsp;&nbsp;</ali:Space>
					<ali:Line>│</ali:Line>
					<ali:TopOpen>┌</ali:TopOpen>
					<ali:Top>┌</ali:Top>
					<ali:MiddleOpen>├</ali:MiddleOpen>
					<ali:Middle>├</ali:Middle>
					<ali:BottomOpen>└</ali:BottomOpen>
					<ali:Bottom>└</ali:Bottom>
				</ali:Control>
				<ali:Record>
					<%If Convert.ToString(ID) == Request.QueryString["CategoryID"]%>
						<option value="<%=ID%>" selected="selected"><%=Control%><%=Name%></option>
					<%Else%>
						<option value="<%=ID%>"><%=Control%><%=Name%></option>
					<%EndIf%>
					<%=ChildRecords%>
				</ali:Record>
			</ali:Tree>
		</select>
		<input type="checkbox" id="IncludeSubCategory" /><label for="IncludeSubCategory">子类</label>
	</div>
	<div class="ToolBar">
		<input type="checkbox" id="ListByPicture" /><label for="ListByPicture">缩略图</label>
		<select id="Sort">
			<option value="1">更新日期↓</option>
			<option value="2">更新日期↑</option>
			<option value="3">人气↓</option>
			<option value="4">人气↑</option>
			<option value="5">推荐↓</option>
			<option value="6">推荐↑</option>
			<option value="7">置顶↓</option>
			<option value="8">置顶↑</option>
			<option value="9">编号↓</option>
			<option value="10">编号↑</option>
			<option value="11">顶↓</option>
			<option value="12">顶↑</option>
			<option value="13">踩↓</option>
			<option value="14">踩↑</option>
		</select>
		<input id="Keyword" class="Text <%=ContentLang%>Font" />
		<select id="KeywordType">
			<option value="Name">名称</option>
			<option value="No">货号</option>
			<option value="BarCode">条形码</option>
		</select>
		<input id="Search" type="button" value="搜索" class="Button" />
		<input id="SelectAll" type="button" value="全选" class="Button" />
		<input id="ReverseSelect" type="button" value="反选" class="Button" />
		<span id="ExtraButton"></span>
	</div>
	<div id="List">
		<ali:List ID="List" Object="Goods" Page="PageNumber" PageSize="20" Condition="Condition()" Sort="Sort()" />
		<%If ListByPicture%>
			<ali:List Object="Goods" Source="List">
				<ali:Row MaxCol="4">
					<ul>
						<ali:Col MaxRecord="1">
							<ali:Record>
								<li>
									<a href="../goods/edit.aspx?Lang=<%=ContentLang%>&amp;ID=<%=InnerID%>"><img src="<%=Thumbnail%>" /></a>
									<div class="<%=ContentLang%>Font"><a href="../goods/edit.aspx?Lang=<%=ContentLang%>&amp;ID=<%=InnerID%>"><%=Name%></a><input type="checkbox" name="Sel" value="<%=InnerID%>" /></div>
								</li>
							</ali:Record>
						</ali:Col>
					</ul>
				</ali:Row>
			</ali:List>
		<%Else%>
			<table border="0" cellpadding="4" cellspacing="1" class="ListTable">
				<thead>
					<tr>
						<th width="40">选择</th>
						<%If Move%>
							<th width="60">
								<%If Request.QueryString["IsRecommended"] == "true"%>
									移动推荐
								<%Else%>
									移动置顶
								<%EndIf%>
							</th>
						<%EndIf%>
						<th>名称</th>
						<th width="120">创建时间</th>
						<th width="40">人气</th>
						<th width="40">顶</th>
						<th width="40">踩</th>
					</tr>
				</thead>
				<tbody>
					<ali:List Object="Goods" Source="List">
						<ali:Record>
							<tr>
								<td><input type="checkbox" name="Sel" value="<%=InnerID%>" /></td>
								<%If Move%>
									<td><img name="<%=Name%>" sort="<%=InnerID%>" class="Move" src="<%=ImagePath%>move.gif" /></td>
								<%EndIf%>
								<td class="<%=ContentLang%>Font"><a href="../goods/edit.aspx?Lang=<%=ContentLang%>&amp;ID=<%=InnerID%>"><%=Name%></a></td>
								<td><%=CreateTime%></td>
								<td><%=HitCount%></td>
								<td><%=Up%></td>
								<td><%=Down%></td>
							</tr>
						</ali:Record>
					</ali:List>
				</tbody>
			</table>
		<%EndIf%>
		<ali:Pagination Page="PageNumber" PageSize="20" RecordCount="List[RecordCount]">
			<div class="Pagination">
				<div class="Left">共 <%=RecordCount%> 条 当前显示第 <%=PageNumber%> 页 第 <%=RangeLower%>-<%=RangeUpper%> 条 </div>
				<div class="Right">
					<ali:FirstPage>
						<ali:Yes>
							<img src="<%=ImagePath%>pagination/first_page_off.gif"/>
							<img src="<%=ImagePath%>pagination/previous_page_off.gif"/>
						</ali:Yes>
						<ali:No>
							<a href="javascript:Go(1)"><img src="<%=ImagePath%>pagination/first_page_on.gif"/></a>
							<a href="javascript:Go(<%=PageNumber%> - 1)" id="PrevPage"><img src="<%=ImagePath%>pagination/previous_page_on.gif"/></a>
						</ali:No>
					</ali:FirstPage>
					<ali:CurrentPage Range="5">
						<ali:Yes>
							<span class="Current"><%=Index%></span>						
						</ali:Yes>
						<ali:No>
							<a href="javascript:Go(<%=Index%>)">[<%=Index%>]</a>
						</ali:No>
					</ali:CurrentPage>
					<ali:LastPage>
						<ali:Yes>
							<img src="<%=ImagePath%>pagination/next_page_off.gif"/>
							<img src="<%=ImagePath%>pagination/last_page_off.gif"/>
						</ali:Yes>
						<ali:No>
							<a href="javascript:Go(<%=PageNumber%> + 1)" id="NextPage"><img src="<%=ImagePath%>pagination/next_page_on.gif"/></a>
							<a href="javascript:Go(<%=PageCount%>)"><img src="<%=ImagePath%>pagination/last_page_on.gif"/></a>
						</ali:No>
					</ali:LastPage>
				</div>
			</div>
		</ali:Pagination>
	</div>
</div>
<script type="text/javascript" src="<%=CommonPath%>jquery/core.js"></script>
<script type="text/javascript" src="<%=CommonPath%>jquery/ui.js"></script>
<script type="text/javascript" src="<%=CommonPath%>utility.js"></script>
<script type="text/javascript" src="<%=JsPath%>move.js"></script>
<script type="text/javascript" src="<%=JsPath%>global.js"></script>
<script type="text/javascript" src="<%=ModuleJsPath%>module.js"></script>
</body>
</html>